Clover coverage report - PMD - 3.7
Coverage timestamp: Wed May 31 2006 09:25:59 EDT

file stats: | LOC: | 20 |  | Methods: | 1
| NCLOC: | 7 |  | Classes: | 1

Source file | Conditionals | Statements | Methods | TOTAL

JspScopeAndDeclarationFinder.java

-

100%

100%

100%

1 |  | package net.sourceforge.pmd.symboltable;
2 |  |
3 |  | import net.sourceforge.pmd.jsp.ast.ASTCompilationUnit;
4 |  |
5 |  | /**
6 |  | * Setting the scope in the root of a JSP AST.
7 |  | *
8 |  | * @author pieter_van_raemdonck - Application Engineers NV/SA - www.ae.be
9 |  | */
10 |  | public class JspScopeAndDeclarationFinder {
11 |  |
12 |  | /**
13 |  | * Set a DummyScope as scope of the given compilationUnit.
14 |  | *
15 |  | * @param compilationUnit the ASTCompilationUnit
16 |  | */
17 | 24 | public void setJspScope(ASTCompilationUnit compilationUnit) {
18 | 24 | compilationUnit.setScope(new DummyScope());
19 |  | }
20 |  | }